#!/bin/bash

# Pour trouver la MAC (Wifi ou filaire) d'un adhérent dans les logs idoines

filename=global

# On râle si on n'est pas sur le bon serveur
case `hostname` in
    thot)
    ;;
    *)
        echo -e "\e[0;31mPas sur thot, risque de ne pas marcher.\e[0m"
    ;;
esac

case $1 in
    --filaire)
        path=/var/log/filaire/
    ;;
    --wifi)
        path=/var/log/wifi/
    ;;
    *)
        echo "Préciser --filaire ou --wifi en premier paramètre."
esac

# On remplace les ":" de la MAC par des "."
mac=${2//:/.}

# .log et .log.1 ne sont pas compressés
echo grep -E --color -i $mac $path$filename.log
grep -E --color -i $mac $path$filename.log

# Les suivants sont compressés
for i in `seq 1 364`
do
    echo -n ".$i ?"
    read -r
    zgrep -E --color -i $mac $path$filename.log.$i.gz
done
